%define momorel 3

Summary: XSANE -- scanner frontend for SANE
Name: xsane

Version: 0.92
Release: %{momorel}m
URL: http://www.xsane.org/
Source0: http://www.xsane.org/download/%{name}-%{version}.tar.gz
Patch0: xsane-0.90-htmlview.patch
Patch1: xsane-0.91-badcode.patch
Patch2: xsane-0.92_gimp2.0.patch
License: GPL
Group: Applications/Multimedia
Requires: sane-backends >= 1.0.5
BuildPrereq: sane-backends-devel,gimp-devel,libpng-devel,libjpeg-devel
BuildPrereq: desktop-file-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-root
NoSource: 0

%description
XSane is an X based interface for the SANE (Scanner Access Now Easy)
library, which provides access to scanners, digital cameras, and other
capture devices. XSane is written in GTK+ and provides control for
performing the scan and then manipulating the captured image.

%package gimp
Summary: A GIMP plug-in which provides the SANE scanner interface.
Group: Applications/Multimedia
Prereq: /usr/bin/awk sh-utils fileutils

%description gimp
This package provides the regular XSane frontend for the SANE scanner
interface, but it works as a GIMP plug-in. You must have GIMP
installed to use this package.

%prep
rm -rf %{buildroot}
%setup -q
%patch0 -p1 -b .htmlview
%patch1 -p1 -b .badcode
%patch2 -p1 -b .gimp2.0

%build
%{expand:%%define optflags %{optflags} -DGIMP_ENABLE_COMPAT_CRUFT=1}
aclocal
autoconf
%configure --with-install-root=%{buildroot}
make LDFLAGS=

mv src/xsane src/xsane-gimp

make clean
%configure --with-install-root=%{buildroot} --disable-gimp
make LDFLAGS=

%install
rm -rf %{buildroot}
%makeinstall

install src/xsane-gimp %{buildroot}%{_bindir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc xsane.[A-Z]*
%{_bindir}/xsane
%{_mandir}/man1/*
%{_datadir}/sane

%files gimp
%defattr(-,root,root)
%{_bindir}/xsane-gimp

%post gimp
if [ -x /usr/bin/gimp-config ]; then
   GIMPPLUGINDIR=`/usr/bin/gimp-config --gimpplugindir`
elif [ -x /usr/bin/gimptool ]; then
   GIMPPLUGINDIR=`/usr/bin/gimptool --gimpplugindir`
elif [ -x /usr/bin/gimptool-2.0 ]; then
   GIMPPLUGINDIR=`/usr/bin/gimptool-2.0 --gimpplugindir`
elif [ -x /usr/bin/gimptool-1.2 ]; then
   GIMPPLUGINDIR=`/usr/bin/gimptool-1.2 --gimpplugindir`
fi
if [ -z "$GIMPPLUGINDIR" ]; then
  GIMPPLUGINDIR=%{_libdir}/gimp/2.0
fi
RELPATH=`echo $GIMPPLUGINDIR | awk '
  BEGIN { FS="/"; i = 1} {while (i < NF) { printf("../"); i = i + 1}}'`
if [ ! -s $GIMPPLUGINDIR/plug-ins/xsane ]; then
  ln -s $RELPATH/bin/xsane-gimp $GIMPPLUGINDIR/plug-ins/xsane
fi

%postun gimp
if [ $1 = 0 ]; then
  rm -f %{_libdir}/gimp/2.0/plug-ins/xsane
  rm -f %{_libdir}/gimp/1.2/plug-ins/xsane
  rm -f %{_libdir}/gimp/1.1/plug-ins/xsane
  rm -f %{_libdir}/gimp/1.0/plug-ins/xsane
fi

%changelog
* Wed Jun  9 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.92-3m)
- gimp 2.0

* Thu Jun  3 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (0.92-2m)
- import patch from FC2

* Mon Jan 19 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (0.92-1m)
- update to 0.92

* Thu Jul 10 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (0.91-3m)
- re-add gimp plug-ins to %%files (this time, as %%ghost)
- modify %%postun section (do not run at upgrading time)

* Wed Jul  9 2003 Kimitake Shibata <cipher@da2.so-net.ne.jp>
- (0.91-2m)
- gimp plug-ins is changed into the post.

* Sun Jul  6 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (0.91-1m)
- update to 0.91
- remove xsane_0.84-0.1.diff.gz
  Now this patch seems to contain only debian specific files,
  no security fixes.
- remove xsane-0.89-with-gimp12.patch
  gimp-1.2 support is now enabled by supplying environment variable
  "GIMP_TOOL" to configure
- do not make symlink in gimp-1.3 plug-in dir
  (currently xsane does not run as gimp-1.3 plug-in)
- use macros

* Tue Jan 28 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (0.90-1m)
- update to 0.90
- fix BuildPrereq's
- do not install xsane.spec* ;)

* Tue Dec 24 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.89-1m)
- update to 0.89

* Thu May  2 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.84-12k)
- added gimp1 plugin

* Sat Apr 21 2002 Kenta MURATA <muraken@kondara.org>
- (0.84-10k)
- disable gimp plugin.

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.84-8k)
- rebuild against libpng 1.2.2.

* Tue Mar 12 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (0.84-6k)
- security fix (http://www.debian.org/security/2002/dsa-118)

* Sat Feb 23 2002 Shingo Akagaki <dora@kondara.org>
- (0.84-4k)
- include plugins in filelist

* Wed Feb 20 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.84-2k)
- update to 0.84

* Tue Feb 19 2002 Shingo Akagaki <dora@kondara.org>
- (0.79-12k)
- rebuild against for gimp 1.2.3

* Mon Dec 03 2001 Motonobu Ichimura <famao@kondara.org>
- (0.79-10k)
- japanese related stuff

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (0.79-8k)
- nigittenu

* Fri Oct 26 2001 Toru Hoshina <t@kondara.org>
- (0.79-6k)
- rebuild against sane-backends-devel 1.0.5.

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (0.79-4k)
- rebuild against libpng 1.2.0.

* Sun Jul 29 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update to 0.79

* Sun Jan  7 2001 Toru Hoshina <toru@df-usa.com>
- fixed %post, postun bug, but use static number :-P

* Tue Dec 12 2000 Kenichi Matsubara <m@kondara.org>
- rebuild against new environment.

* Sat Dec  2 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (0.59-7k)
- modified spec file with %{_mandir} macro for compatibility

* Sat Nov 25 2000 Kenichi Matsubara <m@kondara.org>
- rebuild against new environment.

* Tue Oct 17 2000 Kenichi Matsubara <m@kondara.org>
- add xsane-0.59-gimpcompat.patch.
- rebuild against new environment.

* Sun Jun 25 2000 AYUHANA Tomonori <l@kondara.org>
- (0.59-1k)
- SPEC fixed ( Source, BuildRoot, Distribution )
- add -b at %patch
- strip only xsane

* Fri Jun 23 2000 Aki Kondo <Kondo@gemini.nekobebe.home>
- Fix preun section

* Mon Jun 19 2000 Aki Kondo <Kondo@gemini.nekobebe.home>
- fix Patch1(rmemo.ja.po.patch)
- release 1ks2

* Sun Jun 18 2000 Aki Kondo <Kondo@gemini.nekobebe.home>
- some bug fix
- release 1ks1

* Sat Jun 17 2000 Aki Kondo <Kondo@gemini.nekobebe.home>
- Original RPM package release for xsane-0.59
- add rmemo.ja.po patch
- release 0ks1
